Upstream information

CVE-2011-1521 at MITRE

Description

The urllib and urllib2 modules in Python 2.x before 2.7.2 and 3.x before 3.2.1 process Location headers that specify redirection to file: URLs, which makes it easier for remote attackers to obtain sensitive information or cause a denial of service (resource consumption) via a crafted URL, as demonstrated by the file:///etc/passwd and file:///dev/zero URLs.

SUSE information

Overall state of this security issue: Resolved

This issue is currently rated as having moderate severity.

CVSS v2 Scores
  National Vulnerability Database
Base Score 6.4
Vector AV:N/AC:L/Au:N/C:P/I:N/A:P
Access Vector Network
Access Complexity Low
Authentication None
Confidentiality Impact Partial
Integrity Impact None
Availability Impact Partial
SUSE Bugzilla entry: 682554 [RESOLVED / FIXED]

SUSE Security Advisories:

List of released packages

Product(s) Fixed package version(s) References
SUSE Linux Enterprise Desktop 12
  • libpython2_7-1_0 >= 2.7.7-2.36
  • libpython2_7-1_0-32bit >= 2.7.7-2.36
  • python-base >= 2.7.7-2.36
  • python-devel >= 2.7.7-2.36
  • python-xml >= 2.7.7-2.36
Patchnames:
SUSE Linux Enterprise Desktop 12 GA libpython2_7-1_0
SUSE Linux Enterprise Desktop 12 SP1
  • libpython2_7-1_0 >= 2.7.9-20.6
  • libpython2_7-1_0-32bit >= 2.7.9-20.6
  • python-base >= 2.7.9-20.6
  • python-devel >= 2.7.9-20.6
  • python-xml >= 2.7.9-20.6
Patchnames:
SUSE Linux Enterprise Desktop 12 SP1 GA libpython2_7-1_0
SUSE Linux Enterprise Desktop 12 SP2
  • libpython2_7-1_0 >= 2.7.9-24.2
  • libpython2_7-1_0-32bit >= 2.7.9-24.2
  • python-base >= 2.7.9-24.2
  • python-devel >= 2.7.9-24.2
  • python-xml >= 2.7.9-24.2
Patchnames:
SUSE Linux Enterprise Desktop 12 SP2 GA libpython2_7-1_0
SUSE Linux Enterprise Desktop 12 SP3
  • libpython2_7-1_0 >= 2.7.13-27.1
  • libpython2_7-1_0-32bit >= 2.7.13-27.1
  • python-base >= 2.7.13-27.1
  • python-devel >= 2.7.13-27.1
  • python-xml >= 2.7.13-27.1
Patchnames:
SUSE Linux Enterprise Desktop 12 SP3 GA libpython2_7-1_0
SUSE Linux Enterprise Module for Basesystem 15
  • libpython2_7-1_0 >= 2.7.14-5.21
  • python-base >= 2.7.14-5.21
  • python-devel >= 2.7.14-5.21
  • python-xml >= 2.7.14-5.21
Patchnames:
SUSE Linux Enterprise Module for Basesystem 15 GA libpython2_7-1_0
SUSE Linux Enterprise Server 11 SP1
  • libpython2_6-1_0 >= 2.6.8-0.13.1
  • libpython2_6-1_0-32bit >= 2.6.8-0.13.1
  • libpython2_6-1_0-x86 >= 2.6.8-0.13.1
  • python >= 2.6.8-0.13.1
  • python-32bit >= 2.6.8-0.13.1
  • python-base >= 2.6.8-0.13.1
  • python-base-32bit >= 2.6.8-0.13.1
  • python-base-x86 >= 2.6.8-0.13.1
  • python-curses >= 2.6.8-0.13.1
  • python-demo >= 2.6.8-0.13.1
  • python-doc >= 2.6-8.13.2
  • python-doc-pdf >= 2.6-8.13.2
  • python-gdbm >= 2.6.8-0.13.1
  • python-idle >= 2.6.8-0.13.1
  • python-tk >= 2.6.8-0.13.1
  • python-x86 >= 2.6.8-0.13.1
  • python-xml >= 2.6.8-0.13.1
Patchnames:
slessp1-libpython2_6-1_0
slessp1-python-randomisation-update
SUSE Linux Enterprise Server 11 SP2
  • libpython2_6-1_0 >= 2.6.8-0.13.1
  • libpython2_6-1_0-32bit >= 2.6.8-0.13.1
  • libpython2_6-1_0-x86 >= 2.6.8-0.13.1
  • python >= 2.6.8-0.13.1
  • python-32bit >= 2.6.8-0.13.1
  • python-base >= 2.6.8-0.13.1
  • python-base-32bit >= 2.6.8-0.13.1
  • python-base-x86 >= 2.6.8-0.13.1
  • python-curses >= 2.6.8-0.13.1
  • python-demo >= 2.6.8-0.13.1
  • python-doc >= 2.6-8.13.2
  • python-doc-pdf >= 2.6-8.13.2
  • python-gdbm >= 2.6.8-0.13.1
  • python-idle >= 2.6.8-0.13.1
  • python-tk >= 2.6.8-0.13.1
  • python-x86 >= 2.6.8-0.13.1
  • python-xml >= 2.6.8-0.13.1
Patchnames:
SUSE Linux Enterprise Server 11 SP2 GA libpython2_6-1_0
slessp1-python-randomisation-update
SUSE Linux Enterprise Server 11 SP3
  • libpython2_6-1_0 >= 2.6.8-0.15.1
  • libpython2_6-1_0-32bit >= 2.6.8-0.15.1
  • libpython2_6-1_0-x86 >= 2.6.8-0.15.1
  • python-base >= 2.6.8-0.15.1
  • python-base-32bit >= 2.6.8-0.15.1
  • python-base-x86 >= 2.6.8-0.15.1
  • python-xml >= 2.6.8-0.15.1
Patchnames:
SUSE Linux Enterprise Server 11 SP3 GA libpython2_6-1_0
SUSE Linux Enterprise Server 11 SP4
  • libpython2_6-1_0 >= 2.6.9-0.35.1
  • libpython2_6-1_0-32bit >= 2.6.9-0.35.1
  • libpython2_6-1_0-x86 >= 2.6.9-0.35.1
  • python-base >= 2.6.9-0.35.1
  • python-base-32bit >= 2.6.9-0.35.1
  • python-base-x86 >= 2.6.9-0.35.1
  • python-xml >= 2.6.9-0.35.1
Patchnames:
SUSE Linux Enterprise Server 11 SP4 GA libpython2_6-1_0
SUSE Linux Enterprise Server 12
  • libpython2_7-1_0 >= 2.7.7-2.36
  • libpython2_7-1_0-32bit >= 2.7.7-2.36
  • python-base >= 2.7.7-2.36
  • python-base-32bit >= 2.7.7-2.36
  • python-xml >= 2.7.7-2.36
Patchnames:
SUSE Linux Enterprise Server 12 GA libpython2_7-1_0
SUSE Linux Enterprise Server 12 SP1
  • libpython2_7-1_0 >= 2.7.9-20.6
  • libpython2_7-1_0-32bit >= 2.7.9-20.6
  • python-base >= 2.7.9-20.6
  • python-base-32bit >= 2.7.9-20.6
  • python-xml >= 2.7.9-20.6
Patchnames:
SUSE Linux Enterprise Server 12 SP1 GA libpython2_7-1_0
SUSE Linux Enterprise Server 12 SP2
  • libpython2_7-1_0 >= 2.7.9-24.2
  • libpython2_7-1_0-32bit >= 2.7.9-24.2
  • python-base >= 2.7.9-24.2
  • python-base-32bit >= 2.7.9-24.2
  • python-xml >= 2.7.9-24.2
Patchnames:
SUSE Linux Enterprise Server 12 SP2 GA libpython2_7-1_0
SUSE Linux Enterprise Server 12 SP3
  • libpython2_7-1_0 >= 2.7.13-27.1
  • libpython2_7-1_0-32bit >= 2.7.13-27.1
  • python-base >= 2.7.13-27.1
  • python-base-32bit >= 2.7.13-27.1
  • python-xml >= 2.7.13-27.1
Patchnames:
SUSE Linux Enterprise Server 12 SP3 GA libpython2_7-1_0
SUSE Linux Enterprise Server for Raspberry Pi 12 SP2
  • libpython2_7-1_0 >= 2.7.9-24.2
  • python-base >= 2.7.9-24.2
  • python-xml >= 2.7.9-24.2
Patchnames:
SUSE Linux Enterprise Server for Raspberry Pi 12 SP2 GA libpython2_7-1_0
SUSE Linux Enterprise Software Development Kit 11 SP4
  • python-devel >= 2.6.9-0.35.1
Patchnames:
SUSE Linux Enterprise Software Development Kit 11 SP4 GA python-devel
SUSE Linux Enterprise Software Development Kit 12
  • python-devel >= 2.7.7-2.36
Patchnames:
SUSE Linux Enterprise Software Development Kit 12 GA python-devel
SUSE Linux Enterprise Software Development Kit 12 SP1
  • python-devel >= 2.7.9-20.6
Patchnames:
SUSE Linux Enterprise Software Development Kit 12 SP1 GA python-devel
SUSE Linux Enterprise Software Development Kit 12 SP2
  • python-devel >= 2.7.9-24.2
Patchnames:
SUSE Linux Enterprise Software Development Kit 12 SP2 GA python-devel
SUSE Linux Enterprise Software Development Kit 12 SP3
  • python-devel >= 2.7.13-27.1
Patchnames:
SUSE Linux Enterprise Software Development Kit 12 SP3 GA python-devel
SUSE Linux Enterprise Workstation Extension 12
  • python-devel >= 2.7.7-2.36
Patchnames:
SUSE Linux Enterprise Workstation Extension 12 GA python-devel
SUSE Linux Enterprise Workstation Extension 12 SP1
  • python-devel >= 2.7.9-20.6
Patchnames:
SUSE Linux Enterprise Workstation Extension 12 SP1 GA python-devel
SUSE Linux Enterprise Workstation Extension 12 SP2
  • python-devel >= 2.7.9-24.2
Patchnames:
SUSE Linux Enterprise Workstation Extension 12 SP2 GA python-devel
SUSE Linux Enterprise Workstation Extension 12 SP3
  • python-devel >= 2.7.13-27.1
Patchnames:
SUSE Linux Enterprise Workstation Extension 12 SP3 GA python-devel
openSUSE 11.2
  • libpython2_6-1_0-debuginfo >= 2.6.2-6.9.2
  • libpython2_6-1_0-debuginfo-32bit >= 2.6.2-6.9.2
  • python-base-debuginfo >= 2.6.2-6.9.2
  • python-base-debuginfo-32bit >= 2.6.2-6.9.2
  • python-base-debugsource >= 2.6.2-6.9.2
  • python-curses-debuginfo >= 2.6.2-6.9.1
  • python-debuginfo >= 2.6.2-6.9.1
  • python-debuginfo-32bit >= 2.6.2-6.9.1
  • python-debugsource >= 2.6.2-6.9.1
  • python-gdbm-debuginfo >= 2.6.2-6.9.1
  • python-tk-debuginfo >= 2.6.2-6.9.1
  • python-xml-debuginfo >= 2.6.2-6.9.2
openSUSE 11.2
  • libpython2_6-1_0 >= 2.6.2-6.9.2
  • libpython2_6-1_0-32bit >= 2.6.2-6.9.2
  • python >= 2.6.2-6.9.1
  • python-32bit >= 2.6.2-6.9.1
  • python-base >= 2.6.2-6.9.2
  • python-base-32bit >= 2.6.2-6.9.2
  • python-curses >= 2.6.2-6.9.1
  • python-demo >= 2.6.2-6.9.1
  • python-devel >= 2.6.2-6.9.2
  • python-gdbm >= 2.6.2-6.9.1
  • python-idle >= 2.6.2-6.9.1
  • python-tk >= 2.6.2-6.9.1
  • python-xml >= 2.6.2-6.9.2
openSUSE 11.3
  • libpython2_6-1_0-debuginfo >= 2.6.5-3.5.2
  • libpython2_6-1_0-debuginfo-32bit >= 2.6.5-3.5.2
  • python-base-debuginfo >= 2.6.5-3.5.2
  • python-base-debuginfo-32bit >= 2.6.5-3.5.2
  • python-base-debugsource >= 2.6.5-3.5.2
  • python-curses-debuginfo >= 2.6.5-3.5.1
  • python-debuginfo >= 2.6.5-3.5.1
  • python-debuginfo-32bit >= 2.6.5-3.5.1
  • python-debugsource >= 2.6.5-3.5.1
  • python-gdbm-debuginfo >= 2.6.5-3.5.1
  • python-tk-debuginfo >= 2.6.5-3.5.1
  • python-xml-debuginfo >= 2.6.5-3.5.2
openSUSE 11.3
  • libpython2_6-1_0 >= 2.6.5-3.5.2
  • libpython2_6-1_0-32bit >= 2.6.5-3.5.2
  • python >= 2.6.5-3.5.1
  • python-32bit >= 2.6.5-3.5.1
  • python-base >= 2.6.5-3.5.2
  • python-base-32bit >= 2.6.5-3.5.2
  • python-curses >= 2.6.5-3.5.1
  • python-demo >= 2.6.5-3.5.1
  • python-devel >= 2.6.5-3.5.2
  • python-gdbm >= 2.6.5-3.5.1
  • python-idle >= 2.6.5-3.5.1
  • python-tk >= 2.6.5-3.5.1
  • python-xml >= 2.6.5-3.5.2
openSUSE 11.4
  • libpython2_7-1_0 >= 2.7-8.10.2
  • libpython2_7-1_0-32bit >= 2.7-8.10.2
  • python >= 2.7-9.10.2
  • python-32bit >= 2.7-9.10.2
  • python-base >= 2.7-8.10.2
  • python-base-32bit >= 2.7-8.10.2
  • python-curses >= 2.7-9.10.2
  • python-demo >= 2.7-9.10.2
  • python-devel >= 2.7-8.10.2
  • python-gdbm >= 2.7-9.10.2
  • python-idle >= 2.7-9.10.2
  • python-tk >= 2.7-9.10.2
  • python-xml >= 2.7-8.10.2
SUSE Linux Enterprise Software Development Kit 11 SP1
  • python-demo >= 2.6.0-8.12.2
  • python-devel >= 2.6.0-8.12.2
  • python-gdbm >= 2.6.0-8.12.2
  • python-idle >= 2.6.0-8.12.2
  • python-tk >= 2.6.0-8.12.2
sles11-sp1-vmware.x86-64
sled11-sp1.x86
sle11-sp1-sdk.ppc
sle11-sp1-sdk.s390x
sles11-sp1-vmware.x86
sled11-sp1.x86-64
sle11-sp1-sdk.x86
sles11-sp1.ppc
sle11-sp1-sdk.ia64
sles11-sp1.s390x
sles11-sp1.ia64
sle11-sp1-sdk.x86-64
sles11-sp1.x86-64
sles11-sp1.x86
SAT Patch Nr: 4512
SUSE Linux Enterprise Software Development Kit 11 SP1
  • python-devel >= 2.6.0-8.12.2
sles11-sp1-vmware.x86-64
sled11-sp1.x86
sle11-sp1-sdk.ppc
sle11-sp1-sdk.s390x
sles11-sp1-vmware.x86
sled11-sp1.x86-64
sle11-sp1-sdk.x86
sles11-sp1.ppc
sle11-sp1-sdk.ia64
sles11-sp1.s390x
sles11-sp1.ia64
sle11-sp1-sdk.x86-64
sles11-sp1.x86-64
sles11-sp1.x86
SAT Patch Nr: 4512
SUSE Linux Enterprise Software Development Kit 11 SP1
  • python-32bit >= 2.6.0-8.12.2
  • python-demo >= 2.6.0-8.12.2
  • python-devel >= 2.6.0-8.12.2
  • python-gdbm >= 2.6.0-8.12.2
  • python-idle >= 2.6.0-8.12.2
  • python-tk >= 2.6.0-8.12.2
sles11-sp1-vmware.x86-64
sled11-sp1.x86
sle11-sp1-sdk.ppc
sle11-sp1-sdk.s390x
sles11-sp1-vmware.x86
sled11-sp1.x86-64
sle11-sp1-sdk.x86
sles11-sp1.ppc
sle11-sp1-sdk.ia64
sles11-sp1.s390x
sles11-sp1.ia64
sle11-sp1-sdk.x86-64
sles11-sp1.x86-64
sles11-sp1.x86
SAT Patch Nr: 4512
SUSE Linux Enterprise Desktop 11 SP1
  • libpython2_6-1_0 >= 2.6.0-8.12.2
  • python >= 2.6.0-8.12.2
  • python-base >= 2.6.0-8.12.2
  • python-curses >= 2.6.0-8.12.2
  • python-devel >= 2.6.0-8.12.2
  • python-tk >= 2.6.0-8.12.2
  • python-xml >= 2.6.0-8.12.2
sles11-sp1-vmware.x86-64
sled11-sp1.x86
sle11-sp1-sdk.ppc
sle11-sp1-sdk.s390x
sles11-sp1-vmware.x86
sled11-sp1.x86-64
sle11-sp1-sdk.x86
sles11-sp1.ppc
sle11-sp1-sdk.ia64
sles11-sp1.s390x
sles11-sp1.ia64
sle11-sp1-sdk.x86-64
sles11-sp1.x86-64
sles11-sp1.x86
SAT Patch Nr: 4512
SUSE Linux Enterprise Desktop 11 SP1
  • libpython2_6-1_0 >= 2.6.0-8.12.2
  • libpython2_6-1_0-32bit >= 2.6.0-8.12.2
  • python >= 2.6.0-8.12.2
  • python-base >= 2.6.0-8.12.2
  • python-base-32bit >= 2.6.0-8.12.2
  • python-curses >= 2.6.0-8.12.2
  • python-devel >= 2.6.0-8.12.2
  • python-tk >= 2.6.0-8.12.2
  • python-xml >= 2.6.0-8.12.2
sles11-sp1-vmware.x86-64
sled11-sp1.x86
sle11-sp1-sdk.ppc
sle11-sp1-sdk.s390x
sles11-sp1-vmware.x86
sled11-sp1.x86-64
sle11-sp1-sdk.x86
sles11-sp1.ppc
sle11-sp1-sdk.ia64
sles11-sp1.s390x
sles11-sp1.ia64
sle11-sp1-sdk.x86-64
sles11-sp1.x86-64
sles11-sp1.x86
SAT Patch Nr: 4512
SUSE Linux Enterprise Server 11 SP1
SUSE Linux Enterprise Server 11 SP1 for VMware
  • libpython2_6-1_0 >= 2.6.0-8.12.2
  • python >= 2.6.0-8.12.2
  • python-base >= 2.6.0-8.12.2
  • python-curses >= 2.6.0-8.12.2
  • python-demo >= 2.6.0-8.12.2
  • python-gdbm >= 2.6.0-8.12.2
  • python-idle >= 2.6.0-8.12.2
  • python-tk >= 2.6.0-8.12.2
  • python-xml >= 2.6.0-8.12.2
sles11-sp1-vmware.x86-64
sled11-sp1.x86
sle11-sp1-sdk.ppc
sle11-sp1-sdk.s390x
sles11-sp1-vmware.x86
sled11-sp1.x86-64
sle11-sp1-sdk.x86
sles11-sp1.ppc
sle11-sp1-sdk.ia64
sles11-sp1.s390x
sles11-sp1.ia64
sle11-sp1-sdk.x86-64
sles11-sp1.x86-64
sles11-sp1.x86
SAT Patch Nr: 4512
SUSE Linux Enterprise Server 11 SP1
SUSE Linux Enterprise Server 11 SP1 for VMware
  • libpython2_6-1_0 >= 2.6.0-8.12.2
  • libpython2_6-1_0-32bit >= 2.6.0-8.12.2
  • python >= 2.6.0-8.12.2
  • python-32bit >= 2.6.0-8.12.2
  • python-base >= 2.6.0-8.12.2
  • python-base-32bit >= 2.6.0-8.12.2
  • python-curses >= 2.6.0-8.12.2
  • python-demo >= 2.6.0-8.12.2
  • python-gdbm >= 2.6.0-8.12.2
  • python-idle >= 2.6.0-8.12.2
  • python-tk >= 2.6.0-8.12.2
  • python-xml >= 2.6.0-8.12.2
sles11-sp1-vmware.x86-64
sled11-sp1.x86
sle11-sp1-sdk.ppc
sle11-sp1-sdk.s390x
sles11-sp1-vmware.x86
sled11-sp1.x86-64
sle11-sp1-sdk.x86
sles11-sp1.ppc
sle11-sp1-sdk.ia64
sles11-sp1.s390x
sles11-sp1.ia64
sle11-sp1-sdk.x86-64
sles11-sp1.x86-64
sles11-sp1.x86
SAT Patch Nr: 4512
SUSE Linux Enterprise Server 11 SP1
  • libpython2_6-1_0 >= 2.6.0-8.12.2
  • libpython2_6-1_0-x86 >= 2.6.0-8.12.2
  • python >= 2.6.0-8.12.2
  • python-base >= 2.6.0-8.12.2
  • python-base-x86 >= 2.6.0-8.12.2
  • python-curses >= 2.6.0-8.12.2
  • python-demo >= 2.6.0-8.12.2
  • python-gdbm >= 2.6.0-8.12.2
  • python-idle >= 2.6.0-8.12.2
  • python-tk >= 2.6.0-8.12.2
  • python-x86 >= 2.6.0-8.12.2
  • python-xml >= 2.6.0-8.12.2
sles11-sp1-vmware.x86-64
sled11-sp1.x86
sle11-sp1-sdk.ppc
sle11-sp1-sdk.s390x
sles11-sp1-vmware.x86
sled11-sp1.x86-64
sle11-sp1-sdk.x86
sles11-sp1.ppc
sle11-sp1-sdk.ia64
sles11-sp1.s390x
sles11-sp1.ia64
sle11-sp1-sdk.x86-64
sles11-sp1.x86-64
sles11-sp1.x86
SAT Patch Nr: 4512
SUSE Linux Enterprise Desktop 10 SP4 for x86
  • python >= 2.4.2-18.37.1
  • python-curses >= 2.4.2-18.37.1
  • python-devel >= 2.4.2-18.37.1
  • python-gdbm >= 2.4.2-18.37.1
  • python-tk >= 2.4.2-18.37.1
  • python-xml >= 2.4.2-18.37.1
sle10-sp4-sdk.ia64
sles10-sp4.x86
sled10-sp4.x86-64
sles10-sp4.x86-64
sles10-sp4.ia64
sle10-sp4-sdk.s390x
sle10-sp4-sdk.ppc
sle10-sp4-sdk.x86-64
sled10-sp4.x86
sle10-sp4-sdk.x86
sles10-sp4.s390x
sles10-sp4.ppc
ZYPP Patch Nr: 7506
SUSE Linux Enterprise Desktop 10 SP4 for AMD64 and Intel EM64T
  • python >= 2.4.2-18.37.1
  • python-32bit >= 2.4.2-18.37.1
  • python-curses >= 2.4.2-18.37.1
  • python-devel >= 2.4.2-18.37.1
  • python-gdbm >= 2.4.2-18.37.1
  • python-tk >= 2.4.2-18.37.1
  • python-xml >= 2.4.2-18.37.1
sle10-sp4-sdk.ia64
sles10-sp4.x86
sled10-sp4.x86-64
sles10-sp4.x86-64
sles10-sp4.ia64
sle10-sp4-sdk.s390x
sle10-sp4-sdk.ppc
sle10-sp4-sdk.x86-64
sled10-sp4.x86
sle10-sp4-sdk.x86
sles10-sp4.s390x
sles10-sp4.ppc
ZYPP Patch Nr: 7506
SLE SDK 10 SP4 for IBM iSeries and IBM pSeries
SLE SDK 10 SP4 for IBM zSeries
SLE SDK 10 SP4 for IPF
SLE SDK 10 SP4 for X86-64
SLE SDK 10 SP4 for x86
  • python-demo >= 2.4.2-18.37.1
  • python-devel >= 2.4.2-18.37.1
  • python-idle >= 2.4.2-18.37.1
sle10-sp4-sdk.ia64
sles10-sp4.x86
sled10-sp4.x86-64
sles10-sp4.x86-64
sles10-sp4.ia64
sle10-sp4-sdk.s390x
sle10-sp4-sdk.ppc
sle10-sp4-sdk.x86-64
sled10-sp4.x86
sle10-sp4-sdk.x86
sles10-sp4.s390x
sles10-sp4.ppc
ZYPP Patch Nr: 7506
SUSE Linux Enterprise Server 10 SP4 for x86
  • python >= 2.4.2-18.37.1
  • python-curses >= 2.4.2-18.37.1
  • python-demo >= 2.4.2-18.37.1
  • python-devel >= 2.4.2-18.37.1
  • python-gdbm >= 2.4.2-18.37.1
  • python-idle >= 2.4.2-18.37.1
  • python-tk >= 2.4.2-18.37.1
  • python-xml >= 2.4.2-18.37.1
sle10-sp4-sdk.ia64
sles10-sp4.x86
sled10-sp4.x86-64
sles10-sp4.x86-64
sles10-sp4.ia64
sle10-sp4-sdk.s390x
sle10-sp4-sdk.ppc
sle10-sp4-sdk.x86-64
sled10-sp4.x86
sle10-sp4-sdk.x86
sles10-sp4.s390x
sles10-sp4.ppc
ZYPP Patch Nr: 7506
SUSE Linux Enterprise Server 10 SP4 for IPF
  • python >= 2.4.2-18.37.1
  • python-curses >= 2.4.2-18.37.1
  • python-demo >= 2.4.2-18.37.1
  • python-devel >= 2.4.2-18.37.1
  • python-gdbm >= 2.4.2-18.37.1
  • python-idle >= 2.4.2-18.37.1
  • python-tk >= 2.4.2-18.37.1
  • python-x86 >= 2.4.2-18.37.1
  • python-xml >= 2.4.2-18.37.1
sle10-sp4-sdk.ia64
sles10-sp4.x86
sled10-sp4.x86-64
sles10-sp4.x86-64
sles10-sp4.ia64
sle10-sp4-sdk.s390x
sle10-sp4-sdk.ppc
sle10-sp4-sdk.x86-64
sled10-sp4.x86
sle10-sp4-sdk.x86
sles10-sp4.s390x
sles10-sp4.ppc
ZYPP Patch Nr: 7506
SUSE Linux Enterprise Server 10 SP4 for IBM POWER
  • python >= 2.4.2-18.37.1
  • python-64bit >= 2.4.2-18.37.1
  • python-curses >= 2.4.2-18.37.1
  • python-demo >= 2.4.2-18.37.1
  • python-devel >= 2.4.2-18.37.1
  • python-gdbm >= 2.4.2-18.37.1
  • python-idle >= 2.4.2-18.37.1
  • python-tk >= 2.4.2-18.37.1
  • python-xml >= 2.4.2-18.37.1
sle10-sp4-sdk.ia64
sles10-sp4.x86
sled10-sp4.x86-64
sles10-sp4.x86-64
sles10-sp4.ia64
sle10-sp4-sdk.s390x
sle10-sp4-sdk.ppc
sle10-sp4-sdk.x86-64
sled10-sp4.x86
sle10-sp4-sdk.x86
sles10-sp4.s390x
sles10-sp4.ppc
ZYPP Patch Nr: 7506
SUSE Linux Enterprise Server 10 SP4 for AMD64 and Intel EM64T
SUSE Linux Enterprise Server 10 SP4 for IBM zSeries 64bit
  • python >= 2.4.2-18.37.1
  • python-32bit >= 2.4.2-18.37.1
  • python-curses >= 2.4.2-18.37.1
  • python-demo >= 2.4.2-18.37.1
  • python-devel >= 2.4.2-18.37.1
  • python-gdbm >= 2.4.2-18.37.1
  • python-idle >= 2.4.2-18.37.1
  • python-tk >= 2.4.2-18.37.1
  • python-xml >= 2.4.2-18.37.1
sle10-sp4-sdk.ia64
sles10-sp4.x86
sled10-sp4.x86-64
sles10-sp4.x86-64
sles10-sp4.ia64
sle10-sp4-sdk.s390x
sle10-sp4-sdk.ppc
sle10-sp4-sdk.x86-64
sled10-sp4.x86
sle10-sp4-sdk.x86
sles10-sp4.s390x
sles10-sp4.ppc
ZYPP Patch Nr: 7506
SUSE Linux Enterprise SDK 10 SP3
SUSE Linux Enterprise Server 10 SP3
SUSE Linux Enterprise Server for SAP 10 SP3
  • python >= 2.4.2-18.34.33.1
  • python-32bit >= 2.4.2-18.34.33.1
  • python-curses >= 2.4.2-18.34.33.1
  • python-demo >= 2.4.2-18.34.33.1
  • python-devel >= 2.4.2-18.34.33.1
  • python-gdbm >= 2.4.2-18.34.33.1
  • python-idle >= 2.4.2-18.34.33.1
  • python-tk >= 2.4.2-18.34.33.1
  • python-xml >= 2.4.2-18.34.33.1
sles10-sp3.ppc
sles10-sp3.ia64
sle10-sp3-sdk.x86-64
sles10-sp3.x86
sle10-sp3-sdk.ia64
sle10-sp3-sdk.s390x
sles10-sp3.s390x
sles10-sp3.x86-64
sle10-sp3-sdk.x86
sle10-sp3-sdk.ppc
ZYPP Patch Nr: 7509
SUSE Linux Enterprise SDK 10 SP3
  • python-demo >= 2.4.2-18.34.33.1
  • python-devel >= 2.4.2-18.34.33.1
  • python-idle >= 2.4.2-18.34.33.1
sles10-sp3.ppc
sles10-sp3.ia64
sle10-sp3-sdk.x86-64
sles10-sp3.x86
sle10-sp3-sdk.ia64
sle10-sp3-sdk.s390x
sles10-sp3.s390x
sles10-sp3.x86-64
sle10-sp3-sdk.x86
sle10-sp3-sdk.ppc
ZYPP Patch Nr: 7509
SUSE Linux Enterprise Server 10 SP3
  • python >= 2.4.2-18.34.33.1
  • python-curses >= 2.4.2-18.34.33.1
  • python-demo >= 2.4.2-18.34.33.1
  • python-devel >= 2.4.2-18.34.33.1
  • python-gdbm >= 2.4.2-18.34.33.1
  • python-idle >= 2.4.2-18.34.33.1
  • python-tk >= 2.4.2-18.34.33.1
  • python-xml >= 2.4.2-18.34.33.1
sles10-sp3.ppc
sles10-sp3.ia64
sle10-sp3-sdk.x86-64
sles10-sp3.x86
sle10-sp3-sdk.ia64
sle10-sp3-sdk.s390x
sles10-sp3.s390x
sles10-sp3.x86-64
sle10-sp3-sdk.x86
sle10-sp3-sdk.ppc
ZYPP Patch Nr: 7509
SUSE Linux Enterprise Server 10 SP3
  • python >= 2.4.2-18.34.33.1
  • python-curses >= 2.4.2-18.34.33.1
  • python-demo >= 2.4.2-18.34.33.1
  • python-devel >= 2.4.2-18.34.33.1
  • python-gdbm >= 2.4.2-18.34.33.1
  • python-idle >= 2.4.2-18.34.33.1
  • python-tk >= 2.4.2-18.34.33.1
  • python-x86 >= 2.4.2-18.34.33.1
  • python-xml >= 2.4.2-18.34.33.1
sles10-sp3.ppc
sles10-sp3.ia64
sle10-sp3-sdk.x86-64
sles10-sp3.x86
sle10-sp3-sdk.ia64
sle10-sp3-sdk.s390x
sles10-sp3.s390x
sles10-sp3.x86-64
sle10-sp3-sdk.x86
sle10-sp3-sdk.ppc
ZYPP Patch Nr: 7509
SUSE Linux Enterprise Server 10 SP3
  • python >= 2.4.2-18.34.33.1
  • python-64bit >= 2.4.2-18.34.33.1
  • python-curses >= 2.4.2-18.34.33.1
  • python-demo >= 2.4.2-18.34.33.1
  • python-devel >= 2.4.2-18.34.33.1
  • python-gdbm >= 2.4.2-18.34.33.1
  • python-idle >= 2.4.2-18.34.33.1
  • python-tk >= 2.4.2-18.34.33.1
  • python-xml >= 2.4.2-18.34.33.1
sles10-sp3.ppc
sles10-sp3.ia64
sle10-sp3-sdk.x86-64
sles10-sp3.x86
sle10-sp3-sdk.ia64
sle10-sp3-sdk.s390x
sles10-sp3.s390x
sles10-sp3.x86-64
sle10-sp3-sdk.x86
sle10-sp3-sdk.ppc
ZYPP Patch Nr: 7509
SUSE Linux Enterprise Software Development Kit 11 SP1
SUSE Linux Enterprise Software Development Kit 11 SP2
  • python-demo >= 2.6.8-0.13.1
  • python-devel >= 2.6.8-0.13.1
  • python-doc >= 2.6-8.13.2
  • python-doc-pdf >= 2.6-8.13.2
  • python-gdbm >= 2.6.8-0.13.1
  • python-idle >= 2.6.8-0.13.1
  • python-tk >= 2.6.8-0.13.1
Builds
SAT Patch Nr: 6310
SUSE Linux Enterprise Software Development Kit 11 SP1
SUSE Linux Enterprise Software Development Kit 11 SP2
  • python-devel >= 2.6.8-0.13.1
Builds
SAT Patch Nr: 6310
SUSE Linux Enterprise Software Development Kit 11 SP1
SUSE Linux Enterprise Software Development Kit 11 SP2
  • python-32bit >= 2.6.8-0.13.1
  • python-demo >= 2.6.8-0.13.1
  • python-devel >= 2.6.8-0.13.1
  • python-doc >= 2.6-8.13.2
  • python-doc-pdf >= 2.6-8.13.2
  • python-gdbm >= 2.6.8-0.13.1
  • python-idle >= 2.6.8-0.13.1
  • python-tk >= 2.6.8-0.13.1
Builds
SAT Patch Nr: 6310
SUSE Linux Enterprise Desktop 11 SP1
SUSE Linux Enterprise Desktop 11 SP2
  • libpython2_6-1_0 >= 2.6.8-0.13.1
  • python >= 2.6.8-0.13.1
  • python-base >= 2.6.8-0.13.1
  • python-curses >= 2.6.8-0.13.1
  • python-devel >= 2.6.8-0.13.1
  • python-tk >= 2.6.8-0.13.1
  • python-xml >= 2.6.8-0.13.1
Builds
SAT Patch Nr: 6310
SUSE Linux Enterprise Desktop 11 SP1
SUSE Linux Enterprise Desktop 11 SP2
  • libpython2_6-1_0 >= 2.6.8-0.13.1
  • libpython2_6-1_0-32bit >= 2.6.8-0.13.1
  • python >= 2.6.8-0.13.1
  • python-base >= 2.6.8-0.13.1
  • python-base-32bit >= 2.6.8-0.13.1
  • python-curses >= 2.6.8-0.13.1
  • python-devel >= 2.6.8-0.13.1
  • python-tk >= 2.6.8-0.13.1
  • python-xml >= 2.6.8-0.13.1
Builds
SAT Patch Nr: 6310
SUSE Linux Enterprise Server 11 SP1
SUSE Linux Enterprise Server 11 SP1 for VMware
SUSE Linux Enterprise Server 11 SP2
  • libpython2_6-1_0 >= 2.6.8-0.13.1
  • libpython2_6-1_0-32bit >= 2.6.8-0.13.1
  • python >= 2.6.8-0.13.1
  • python-32bit >= 2.6.8-0.13.1
  • python-base >= 2.6.8-0.13.1
  • python-base-32bit >= 2.6.8-0.13.1
  • python-curses >= 2.6.8-0.13.1
  • python-demo >= 2.6.8-0.13.1
  • python-doc >= 2.6-8.13.2
  • python-doc-pdf >= 2.6-8.13.2
  • python-gdbm >= 2.6.8-0.13.1
  • python-idle >= 2.6.8-0.13.1
  • python-tk >= 2.6.8-0.13.1
  • python-xml >= 2.6.8-0.13.1
Builds
SAT Patch Nr: 6310
SUSE Linux Enterprise Server 11 SP1
SUSE Linux Enterprise Server 11 SP1 for VMware
SUSE Linux Enterprise Server 11 SP2
  • libpython2_6-1_0 >= 2.6.8-0.13.1
  • python >= 2.6.8-0.13.1
  • python-base >= 2.6.8-0.13.1
  • python-curses >= 2.6.8-0.13.1
  • python-demo >= 2.6.8-0.13.1
  • python-doc >= 2.6-8.13.2
  • python-doc-pdf >= 2.6-8.13.2
  • python-gdbm >= 2.6.8-0.13.1
  • python-idle >= 2.6.8-0.13.1
  • python-tk >= 2.6.8-0.13.1
  • python-xml >= 2.6.8-0.13.1
Builds
SAT Patch Nr: 6310
SUSE Linux Enterprise Server 11 SP1
SUSE Linux Enterprise Server 11 SP2
  • libpython2_6-1_0 >= 2.6.8-0.13.1
  • libpython2_6-1_0-x86 >= 2.6.8-0.13.1
  • python >= 2.6.8-0.13.1
  • python-base >= 2.6.8-0.13.1
  • python-base-x86 >= 2.6.8-0.13.1
  • python-curses >= 2.6.8-0.13.1
  • python-demo >= 2.6.8-0.13.1
  • python-doc >= 2.6-8.13.2
  • python-doc-pdf >= 2.6-8.13.2
  • python-gdbm >= 2.6.8-0.13.1
  • python-idle >= 2.6.8-0.13.1
  • python-tk >= 2.6.8-0.13.1
  • python-x86 >= 2.6.8-0.13.1
  • python-xml >= 2.6.8-0.13.1
Builds
SAT Patch Nr: 6310
openSUSE 11.4
  • libpython2_7-1_0 >= 2.7-8.10.2
  • libpython2_7-1_0-32bit >= 2.7-8.10.2
  • libpython2_7-1_0-debuginfo >= 2.7-8.10.2
  • libpython2_7-1_0-debuginfo-32bit >= 2.7-8.10.2
  • python >= 2.7-9.10.2
  • python-32bit >= 2.7-9.10.2
  • python-base >= 2.7-8.10.2
  • python-base-32bit >= 2.7-8.10.2
  • python-base-debuginfo >= 2.7-8.10.2
  • python-base-debuginfo-32bit >= 2.7-8.10.2
  • python-base-debugsource >= 2.7-8.10.2
  • python-curses >= 2.7-9.10.2
  • python-curses-debuginfo >= 2.7-9.10.2
  • python-debuginfo >= 2.7-9.10.2
  • python-debuginfo-32bit >= 2.7-9.10.2
  • python-debugsource >= 2.7-9.10.2
  • python-demo >= 2.7-9.10.2
  • python-devel >= 2.7-8.10.2
  • python-gdbm >= 2.7-9.10.2
  • python-gdbm-debuginfo >= 2.7-9.10.2
  • python-idle >= 2.7-9.10.2
  • python-tk >= 2.7-9.10.2
  • python-tk-debuginfo >= 2.7-9.10.2
  • python-xml >= 2.7-8.10.2
  • python-xml-debuginfo >= 2.7-8.10.2
Patchnames:
libpython2_6-1_0
openSUSE Leap 15.0
  • libpython2_7-1_0 >= 2.7.14-lp150.5.14
  • python-base >= 2.7.14-lp150.5.14
  • python-xml >= 2.7.14-lp150.5.14
Patchnames:
openSUSE Leap 15.0 GA libpython2_7-1_0
openSUSE Leap 42.1
  • libpython2_7-1_0 >= 2.7.9-21.3
  • libpython2_7-1_0-32bit >= 2.7.9-21.3
  • python-base >= 2.7.9-21.3
  • python-devel >= 2.7.9-21.3
  • python-xml >= 2.7.9-21.3
Patchnames:
openSUSE Leap 42.1 GA libpython2_7-1_0
openSUSE Leap 42.2
  • libpython2_7-1_0 >= 2.7.12-24.1
  • libpython2_7-1_0-32bit >= 2.7.12-24.1
  • python-base >= 2.7.12-24.1
  • python-devel >= 2.7.12-24.1
  • python-xml >= 2.7.12-24.1
Patchnames:
openSUSE Leap 42.2 GA libpython2_7-1_0
openSUSE Leap 42.3
  • libpython2_7-1_0 >= 2.7.13-26.1
  • libpython2_7-1_0-32bit >= 2.7.13-26.1
  • python-base >= 2.7.13-26.1
  • python-devel >= 2.7.13-26.1
  • python-xml >= 2.7.13-26.1
Patchnames:
openSUSE Leap 42.3 GA libpython2_7-1_0
openSUSE Tumbleweed
  • libpython2_7-1_0 >= 2.7.12-1.4
  • libpython2_7-1_0-32bit >= 2.7.12-1.4
  • python-base >= 2.7.12-1.4
  • python-base-32bit >= 2.7.12-1.4
  • python-devel >= 2.7.12-1.4
  • python-xml >= 2.7.12-1.4
Patchnames:
openSUSE Tumbleweed GA libpython2_7-1_0


Status of this issue by product and package

Please note that this evaluation state might be work in progress, incomplete or outdated. Also information for service packs in the LTSS phase is only included for issues meeting the LTSS criteria. If in doubt, feel free to contact us for clarification.

Product(s) Source package State
SUSE Linux Enterprise Desktop 10 SP3 python Released
SUSE Linux Enterprise Desktop 10 SP4 python Released
SUSE Linux Enterprise Desktop 11 SP1 python Released
SUSE Linux Enterprise Desktop 11 SP2 python Released
SUSE Linux Enterprise Desktop 11 SP3 python Released
SUSE Linux Enterprise Desktop 11 SP4 python Released
SUSE Linux Enterprise SDK 11 SP1 python Released
SUSE Linux Enterprise SDK 11 SP2 python Released
SUSE Linux Enterprise SDK 11 SP3 python Released
SUSE Linux Enterprise SDK 11 SP4 python Released
SUSE Linux Enterprise Server 10 SP3 python Released
SUSE Linux Enterprise Server 10 SP4 python Released
SUSE Linux Enterprise Server 10 SP4 LTSS python Released
SUSE Linux Enterprise Server 11 SP1 python Released
SUSE Linux Enterprise Server 11 SP1 LTSS python Released
SUSE Linux Enterprise Server 11 SP2 python Released
SUSE Linux Enterprise Server 11 SP2 LTSS python Released
SUSE Linux Enterprise Server 11 SP3 python Released
SUSE Linux Enterprise Server 11 SP3 LTSS python Released
SUSE Linux Enterprise Server 11 SP4 python Released
SUSE Linux Enterprise Server for SAP AIO 11 SP1 python Released
SUSE Linux Enterprise Server for SAP Applications 11 SP2 python Released
SUSE Linux Enterprise Server for SAP Applications 11 SP3 python Released
SUSE Linux Enterprise Server for SAP ES 11 SP1 python Released
SUSE Linux Enterprise Server for VMWare 11 SP2 python Released
SUSE Linux Enterprise Server for VMWare 11 SP3 python Released